/*
Copyright 2018 Google Inc.
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
// importScripts('https://storage.googleapis.com/workbox-cdn/releases/3.5.0/workbox-sw.js');

if (workbox) {
  console.info(`Yay! Workbox from backgroundSync-sw.js is loaded 🎉`);
  workbox.precaching.precacheAndRoute([]);

//   const showNotification = (z) => {
//     console.log(z);
//     self.registration.showNotification('🔄 Votre message a été envoyé !', {
//       body: '🎉`🎉`🎉`'
//     });
//   };

  const bgSyncPlugin = new workbox.backgroundSync.Plugin(
    'dashboardr-queue'
  );

  const networkWithBackgroundSync = new workbox.strategies.NetworkOnly({
    plugins: [bgSyncPlugin],
  });

  workbox.routing.registerRoute(
    /\/feedback/,
    networkWithBackgroundSync,
    'POST'
  );

} else {
  console.info(`Boo! Workbox from backgroundSync-sw.js didn't load 😬`);
}